Bug 2278855 - CVE-2024-4216 pgadmin4: XSS in /settings/store API response json payload [fedora-39]
Summary: CVE-2024-4216 pgadmin4: XSS in /settings/store API response json payload [fed...
Keywords:
Status: ON_QA
Alias: None
Product: Fedora
Classification: Fedora
Component: pgadmin4
Version: 39
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Sandro Mani
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: CVE-2024-4216
TreeView+ depends on / blocked
 
Reported: 2024-05-03 11:16 UTC by TEJ RATHI
Modified: 2024-07-05 01:51 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed:
Type: ---
Embargoed:


Attachments (Terms of Use)

Description TEJ RATHI 2024-05-03 11:16:38 UTC
More information about this security flaw is available in the following bug:

http://bugzilla.redhat.com/show_bug.cgi?id=2278851

Disclaimer: Community trackers are created by Red Hat Product Security team on a best effort basis. Package maintainers are required to ascertain if the flaw indeed affects their package, before starting the update process.

Comment 1 TEJ RATHI 2024-05-03 11:16:40 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=2278851,2278855

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Fedora Update System 2024-07-04 21:58:52 UTC
FEDORA-2024-9820d9491f (pgadmin4-7.8-7.fc39) has been submitted as an update to Fedora 39.
https://bodhi.fedoraproject.org/updates/FEDORA-2024-9820d9491f

Comment 3 Fedora Update System 2024-07-05 01:51:51 UTC
FEDORA-2024-9820d9491f has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2024-9820d9491f`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2024-9820d9491f

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.


Note You need to log in before you can comment on or make changes to this bug.